#include<bits/stdc++.h>
#pragma GCC optimize ("O3")
#define endl '\n'
using namespace std;
long long a[1000000];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long i,j,n,x,y,pr=1,br=0;

    cin>>n;

    for(i=0;i<n;i++)
    {
        cin>>a[i];
    }

    for(i=0;i<n;i++)
    {
        pr=1;
        for(j=i;j<n;j++)
        {
            pr*=a[j];
            if(pr%2==0){br+=n-j;break;}
            pr%=2;
        }
    }
    cout<<br<<endl;


}


